be.ehealth.technicalconnector.session.impl

## Class SessionItemImpl

- java.lang.Object
- - be.ehealth.technicalconnector.session.impl.SessionItemImpl

- All Implemented Interfaces:
    SessionItem, SessionItemView, SessionServiceWithCache

      public class SessionItemImpl
      extends Object
      implements SessionItem, SessionServiceWithCache

  Implementation of `SessionItem`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionItemImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSAMLToken(SAMLToken token)`
    `void` | `flushCache()` Method to flush the cache after invoking this method.
    `List<SAMLToken.Version>` | `getActiveSAMLTokenVersions()`
    `Credential` | `getEncryptionCredential()` Gets the personal credential.
    `Crypto` | `getEncryptionCrypto()` Gets the crypto associated with the Encryption credentials
    `Map<String,PrivateKey>` | `getEncryptionPrivateKeys()` Gets the persona decryption keys.
    `Crypto` | `getHolderOfKeyCrypto()` Gets the crypto associated with the HOK credentials
    `SAMLToken` | `getSAMLToken()`
    `SAMLToken` | `getSAMLToken(SAMLToken.Version version)` Gets the SAML token.
    `SAMLTokenContainer` | `getSAMLTokenContainer()`
    `void` | `setHolderOfKeyCredential(Credential hokCredential)` Sets the system credential.
    `void` | `setHolderOfKeyPrivateKeys(Map<String,PrivateKey> hokPrivateKeys)` Sets the system decryption keys.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.technicalconnector.session.SessionItem

      `setEncryptionCredential, setEncryptionPrivateKeys, setHeaderCredential, setSAMLToken`

    - ### Methods inherited from interface be.ehealth.technicalconnector.session.SessionItemView

      `getHeaderCredential, getHolderOfKeyCredential, getHolderOfKeyPrivateKeys`

- - ### Constructor Detail

    - #### SessionItemImpl

          public SessionItemImpl()

  - ### Method Detail

    - #### addSAMLToken

          public void addSAMLToken(SAMLToken token)
                            throws TechnicalConnectorException

      Specified by:
        `addSAMLToken` in interface `SessionItem`
      Throws:
        `TechnicalConnectorException`

    - #### setHolderOfKeyCredential

          public void setHolderOfKeyCredential(Credential hokCredential)

      Description copied from interface: `SessionItem`
      Sets the system credential.
      Specified by:
        `setHolderOfKeyCredential` in interface `SessionItem`
      Parameters:
        `hokCredential` - the hok credential

    - #### setHolderOfKeyPrivateKeys

          public void setHolderOfKeyPrivateKeys(Map<String,PrivateKey> hokPrivateKeys)

      Description copied from interface: `SessionItem`
      Sets the system decryption keys.
      Specified by:
        `setHolderOfKeyPrivateKeys` in interface `SessionItem`
      Parameters:
        `hokPrivateKeys` - the system decryption keys

    - #### getActiveSAMLTokenVersions

          public List<SAMLToken.Version> getActiveSAMLTokenVersions()

      Specified by:
        `getActiveSAMLTokenVersions` in interface `SessionItemView`

    - #### getSAMLToken

          public SAMLToken getSAMLToken(SAMLToken.Version version)

      Description copied from interface: `SessionItemView`
      Gets the SAML token.
      Specified by:
        `getSAMLToken` in interface `SessionItemView`

    - #### getSAMLTokenContainer

          public SAMLTokenContainer getSAMLTokenContainer()

      Specified by:
        `getSAMLTokenContainer` in interface `SessionItemView`

    - #### getSAMLToken

          public SAMLToken getSAMLToken()

      Specified by:
        `getSAMLToken` in interface `SessionItemView`

    - #### getEncryptionCredential

          public final Credential getEncryptionCredential()

      Description copied from interface: `SessionItemView`
      Gets the personal credential.
      Specified by:
        `getEncryptionCredential` in interface `SessionItemView`

    - #### getEncryptionPrivateKeys

          public final Map<String,PrivateKey> getEncryptionPrivateKeys()

      Description copied from interface: `SessionItemView`
      Gets the persona decryption keys.
      Specified by:
        `getEncryptionPrivateKeys` in interface `SessionItemView`

    - #### getHolderOfKeyCrypto

          public Crypto getHolderOfKeyCrypto()
                                      throws TechnicalConnectorException

      Description copied from interface: `SessionItemView`
      Gets the crypto associated with the HOK credentials
      Specified by:
        `getHolderOfKeyCrypto` in interface `SessionItemView`
      Throws:
        `TechnicalConnectorException`

    - #### getEncryptionCrypto

          public Crypto getEncryptionCrypto()
                                     throws TechnicalConnectorException

      Description copied from interface: `SessionItemView`
      Gets the crypto associated with the Encryption credentials
      Specified by:
        `getEncryptionCrypto` in interface `SessionItemView`
      Throws:
        `TechnicalConnectorException`

    - #### flushCache

          public void flushCache()

      Description copied from interface: `SessionServiceWithCache`
      Method to flush the cache after invoking this method.
      Specified by:
        `flushCache` in interface `SessionServiceWithCache`

Connector Packaging PERSPRACTICALNURSE 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.